# ItemStackSerializer
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.serialization.custom

## Class ItemStackSerializer

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.serialization.custom.ItemStackSerializer

    public class ItemStackSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ItemStackSerializer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `serializeItemStack(org.bukkit.inventory.ItemStack item)`
`static org.bukkit.inventory.ItemStack` `serializeItemStack(java.lang.String inputBase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemStackSerializer

    public ItemStackSerializer()

### Method Detail

#### serializeItemStack

    public static java.lang.String serializeItemStack(org.bukkit.inventory.ItemStack item)

#### serializeItemStack

    public static org.bukkit.inventory.ItemStack serializeItemStack(java.lang.String inputBase)